Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration
Class DirectoryConfigurationProvider

    java.lang.Object
      org.apache.torque.generator.configuration.AbstractConfigurationProvider
          org.apache.torque.generator.configuration.DirectoryConfigurationProvider

All Implemented Interfaces:
  ConfigurationProvider

    public class DirectoryConfigurationProvider

extends AbstractConfigurationProvider

Provides InputStreams to read the configuration from a directory.

Constructor Summary
`DirectoryConfigurationProvider(ProjectPaths projectPaths, TorqueGeneratorPaths configurationPaths)` Constructor.

Method Summary
`String` | `getControlConfigurationLocation()` Returns the location of the control configuration as human readable String for debugging and error tracking purposes.
`protected InputStream` | `getInputStream(String name, String directory, String description)`
`Collection<String>` | `getOutletConfigurationNames()` Returns a list of all found outlet configuration files in the generation unit.

Methods inherited from class org.apache.torque.generator.configuration.AbstractConfigurationProvider
`getControlConfigurationInputStream, getOptionsInputStream, getOutletConfigurationInputStream, getResourceInputStream, getTemplateInputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryConfigurationProvider

    public DirectoryConfigurationProvider(ProjectPaths projectPaths,
                                          TorqueGeneratorPaths configurationPaths)

  Constructor.

  Parameters:
    `projectPaths` - the paths needed to interact with the enclosing project, not null.
    `configurationPaths` - The internal directory structure of the generator files, not null.
  Throws:
    `NullPointerException` - if projectPaths or configurationPaths are null.

Method Detail

### getControlConfigurationLocation

    public String getControlConfigurationLocation()
                                           throws ConfigurationException

  Description copied from interface: `ConfigurationProvider`
  Returns the location of the control configuration as human readable String for debugging and error tracking purposes.

  Returns:
    the location of the control configuration, not null.
  Throws:
    `ConfigurationException` - if the location name can not be created.

### getInputStream

    protected InputStream getInputStream(String name,
                                         String directory,
                                         String description)
                                  throws ConfigurationException

  Specified by:
    `getInputStream` in class `AbstractConfigurationProvider`
  Throws:
    `ConfigurationException`

### getOutletConfigurationNames

    public Collection<String> getOutletConfigurationNames()
                                                   throws ConfigurationException

  Description copied from interface: `ConfigurationProvider`
  Returns a list of all found outlet configuration files in the generation unit.

  Returns:
    a list with the generation configuration files, not null.
  Throws:
    `ConfigurationException` - if the configuration can not be read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.